<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLigatorOrderTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ligator_order', function (Blueprint $table) {
            $table->id();
            $table->string('uid')->unique();
            $table->string('iid')->unique();
            $table->string('order_date')->nullable();
            $table->string('postal_code')->nullable();
            $table->string('company_name')->nullable();
            $table->string('group_npi')->nullable();
            $table->string('order_phyisician_name')->nullable();
            $table->string('physician_npi')->nullable();
            $table->string('purchasing_contact_name')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('email')->nullable();
            $table->string('shipping_address')->nullable();
            $table->string('line_2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zip')->nullable();
            $table->string('quantity')->nullable();
            $table->longText('memo')->nullable();
            $table->string('delivery_option')->nullable();
            $table->string('agrees_to_terms')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ligator_order');
    }
}
